package io.hmit.modules.fhjw.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.fhjw.dto.FeedbackCountDTO;
import io.hmit.modules.fhjw.entity.FhjwFeedbackEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.Map;

/**
 * 人员反馈表，包含意见反馈，控告申诉，代表委员有话说
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Mapper
public interface FhjwFeedbackDao extends BaseDao<FhjwFeedbackEntity> {

    FeedbackCountDTO getCount(Map<String,Object> params);
}
