package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 答案列表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-07-06
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_answer_list")
public class FhjwAnswerListEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 可选答案
     */
	private String answer;
    /**
     * 更新时间
     */
	private Date updateDate;
    /**
     * 更新者
     */
	private Long updater;
}