package io.hmit.modules.fhjw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.modules.fhjw.dao.FhjwAnswerListDao;
import io.hmit.modules.fhjw.dto.FhjwAnswerListDTO;
import io.hmit.modules.fhjw.entity.FhjwAnswerListEntity;
import io.hmit.modules.fhjw.service.FhjwAnswerListService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 答案列表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-07-06
 */
@Service
public class FhjwAnswerListServiceImpl extends CrudServiceImpl<FhjwAnswerListDao, FhjwAnswerListEntity, FhjwAnswerListDTO> implements FhjwAnswerListService {

    @Override
    public QueryWrapper<FhjwAnswerListEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<FhjwAnswerListEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}